aboutsummaryrefslogtreecommitdiffstats
path: root/test/Maketests
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2019-05-06 21:28:26 +0300
committerArnold D. Robbins <arnold@skeeve.com>2019-05-06 21:28:26 +0300
commit98c0e68100e8d41dee98750cc36b53dcf5ba76aa (patch)
treeb9e4b0ba83fe56b6131163ce478062e0d9e8c45e /test/Maketests
parent779ba383895f791a8437ecbcb602c8c633e12fc1 (diff)
downloadegawk-98c0e68100e8d41dee98750cc36b53dcf5ba76aa.tar.gz
egawk-98c0e68100e8d41dee98750cc36b53dcf5ba76aa.tar.bz2
egawk-98c0e68100e8d41dee98750cc36b53dcf5ba76aa.zip
Improve sandbox mode.
Diffstat (limited to 'test/Maketests')
-rw-r--r--test/Maketests5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/Maketests b/test/Maketests
index ccce4f54..cf85ef8d 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1846,6 +1846,11 @@ rstest6:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+sandbox1:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk --sandbox >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
shadow:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk --lint >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@